system_update_repository_list

Returns a paginated list of all TUF repositories ordered by system version (newest first by default).

get/v1/system/update/repositories

Query Parameters

limit

Maximum number of items returned by a single call

Token returned by previous call to retrieve the subsequent page

Supported sort modes when scanning by semantic version

Responses

200

successful operation

Object
items

list of items on this page of results

Metadata about a TUF repository

Object
file_name

The file name of the repository, as reported by the client that uploaded it

This is intended for debugging. The file name may not match any particular pattern, and even if it does, it may not be accurate since it's just what the client reported.

hash

The hash of the repository

system_version

The system version for this repository

The system version is a top-level version number applied to all the software in the repository.

time_created

Time the repository was uploaded

next_page

token used to fetch the next page of results (if any)

4XX

Error

Object
message
request_id
5XX

Error

Object
message
request_id